Subject: Re: [Sip] Responses path in SIP.

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 09 Oct 2003 14:51:27 -0400

The Via header MUST be used. The "should" statement in 20.42 is not 
normative (its not capitalized).

-Jonathan R.

Noel Crespi wrote:

> Hi,
> In the RFC3261 there seems to be a contradiction about the path taken by 
> the responses in a SIP transaction. It is in clear if 
> the responses MUST or SHOULD follow the path defined by the Via header 
> field. 
>  
> Different sections in RFC3261 mandate that responses MUST be sent to the 
> location indicated in the topmost Via header field value, eg:
> - In section 8.1.1.7: "The Via header field indicates the transport used 
> for the transaction and identifies the location where the response is to 
> be sent "  
> - In section 16.7: "The proxy MUST pass the response to the server 
> transaction associated with the response context. This will result in 
> the response being sent to the location now indicated in the topmost Via 
> header field value"
> - In section 16.11: "If that address matches the proxy,(it equals a 
> value this proxy has inserted into previous requests)the proxy MUST 
> remove that header field value from the response and forward the result 
> to the location indicated in the next Via header field value"
>  
> However section 20.42 states that: "The Via header field indicates the 
> path taken by the request so far and indicates the path that should be 
> followed in routing responses" 
>  
> So,  MUST or SHOULD responses in a SIP transaction follow  the path 
> defined by the Via header field?
>  
> Regards.
> Y.Chadli / N.Crespi
> INT/GET - Institut National des Télécommunications

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Technology Officer                    Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip